<template>
  <div id="container" class="map" />
</template>

<script setup>
  import { useMap } from '@/hooks/map'

  onMounted(() => {
    const { initMap, addMarker } = useMap()
    initMap('car-ship', 109.491961, 31.024285, 13)
  })
</script>

<style scoped lang="scss">
  :deep(.BMap_cpyCtrl) {
    display: none;
  }
  :deep(.anchorBL) {
    display: none;
  }
  .map {
    width: 100%;
    height: vh(700);
    background-color: transparent;
  }
</style>
